Couplr iOS Beta Request

To become a beta tester you must have an iOS device that supports iOS 8.
    This is a required question
    This is a required question
    This is a required question